<section>
    <mat-tab-group mat-align-tabs="center">
        <mat-tab *ngIf="taboneLabel && !isIndividualTab" [label]="taboneLabel">
            <app-po-molecule [poData]="poData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="taboneLabel"></app-po-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabTwoLabel && donotShowAmt" [label]="tabTwoLabel">
            <app-material-received-molecule [materialReceivedData]="materialReceivedData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumnWithoutAmt" [pageType]="tabTwoLabel"></app-material-received-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabTwoLabel && !donotShowAmt" [label]="tabTwoLabel">
                <app-material-received-molecule [materialReceivedData]="materialReceivedData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabTwoLabel"></app-material-received-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabThreeLabel" [label]="tabThreeLabel">
            <app-profile-payment-molecule [paymentData]="paymentData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabThreeLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabFourLabel" [label]="tabFourLabel">
            <app-profile-payment-molecule [paymentData]="tabFourData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabFourLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabFiveLabel" [label]="tabFiveLabel">
            <app-profile-payment-molecule [paymentData]="tabFiveData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabFiveLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabSixLabel" [label]="tabSixLabel">
            <app-profile-payment-molecule [paymentData]="tabSixData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabSixLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabSevenLabel" [label]="tabSevenLabel">
            <app-profile-payment-molecule [paymentData]="tabSevenData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabSevenLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabEightLabel" [label]="tabEightLabel">
            <app-profile-payment-molecule [paymentData]="tabEightData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabEightLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabNineLabel" [label]="tabNineLabel">
            <app-profile-payment-molecule [paymentData]="tabNineData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabNineLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabTenLabel" [label]="tabTenLabel">
            <app-profile-payment-molecule [paymentData]="tabTenData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabTenLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabEleLabel" [label]="tabEleLabel">
            <app-profile-payment-molecule [paymentData]="tabEleData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabEleLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabTwelveLabel" [label]="tabTwelveLabel">
            <app-profile-payment-molecule [paymentData]="tabTwelveData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabTwelveLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabOneThreeLabel" [label]="tabOneThreeLabel">
            <app-profile-payment-molecule [paymentData]="tabOneThreeData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabOneThreeLabel"></app-profile-payment-molecule>
        </mat-tab>
        <mat-tab *ngIf="tabOneFourLabel" [label]="tabOneFourLabel">
            <app-profile-payment-molecule [paymentData]="tabOneFourData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="tabOneFourLabel"></app-profile-payment-molecule>
        </mat-tab>
      </mat-tab-group>
      <section *ngIf="isIndividualTab">
        <app-po-molecule [poData]="poData" [isDataAvailable]="isDataAvailable" [displayedColumn]="displayedColumn" [pageType]="taboneLabel"></app-po-molecule>
      </section>
</section>